qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alan Conway (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (PROTON-1457) Ruby tests fail when dependencies are missing
Date Fri, 08 Sep 2017 20:39:02 GMT

    [ https://issues.apache.org/jira/browse/PROTON-1457?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16159265#comment-16159265
] 

Alan Conway commented on PROTON-1457:
-------------------------------------

Given the instability of ruby test frameworks between 1.9 and 2.2 and the fact that they were
remoed from the std. lib entirely in 2.2,  I think our best plan is to convert all the tests
to modern minitest and download the minitest gem as part of the build process, ignoring whatever
might be installed locally with ruby.

> Ruby tests fail when dependencies are missing
> ---------------------------------------------
>
>                 Key: PROTON-1457
>                 URL: https://issues.apache.org/jira/browse/PROTON-1457
>             Project: Qpid Proton
>          Issue Type: Bug
>          Components: ruby-binding
>         Environment: Fedora 24
>            Reporter: Irina Boverman
>            Assignee: Alan Conway
>             Fix For: proton-c-0.18.0
>
>
> I was running ruby tests on fedora 26 when I got this error:
> > > The following tests FAILED:
> > > Errors while running CTest
> > >           3 - ruby-example-test (Failed)
> > >           4 - ruby-unit-test (Failed)
> > >
> > > And more specifically:
> > >
> > > 3: Test command: /usr/bin/python "/proton/proton-c/env.py" "--"
> > > "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:
> > > /proton/build/proton-c/bindings/ruby:/proton/build/proton-c"
> > > "RUBYLIB=/proton/tests/ruby:/proton/proton-
> > > c/bindings/ruby:/proton/build/proton-
> > > c/bindings/ruby:/proton/build/proton-c:/proton/proton-
> > > c/bindings/ruby/lib"
> > > "/usr/bin/ruby" "example_test.rb" "-v"
> > > 3: Test timeout computed to be: 1500
> > > 3: /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in
> > > `require':
> > > cannot load such file -- test/unit (LoadError)
> I had ruby-devel, ruby-rspec and ruby-simplecov packages installed, but was missing rubygem-minitest
and rubygem-test-unit packages. There should be a hint somewhere about needing them.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@qpid.apache.org
For additional commands, e-mail: dev-help@qpid.apache.org


Mime
View raw message